ranges::views::transform_fn Struct Reference
Inheritance diagram for ranges::views::transform_fn:

## Synopsis of methods

constexpr transform_fn | transform {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::transform_base_fn
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires ` transformable_range< Rng, Fun >) ccconstexpr transform_view< all_t< Rng >
template<typename Rng1 , typename Rng2 , typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires ` transformable_ranges< Rng1, Rng2, Fun >) ccconstexpr transform2_view< all_t< Rng1 >
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, Fun fun) const
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const

## Additional Inherited Members

Public Attributes inherited from ranges::views::transform_base_fn
CPP_TEMPLATE_AUX_0 | all_t< Rng2 >